Name:		qsampler
Summary:	LinuxSampler GUI front-end application
Version:	0.9.8
Release:	%mkrel 1
License:	GPLv2
Group:		Sound
URL:		https://qsampler.sourceforge.io/
Source0:	https://sourceforge.net/projects/qsampler/files/qsampler/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(lscp)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(gig) >= 4.0.0
BuildRequires:	qttools5
Requires:	    linuxsampler >= 2.0.0

%description
QSampler is a LinuxSampler GUI front-end application written in
C++ around the Qt5 toolkit using Qt Designer. At the moment it
just wraps as a client reference interface for the LinuxSampler
Control Protocol (LSCP).

%prep
%setup -q

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -Wno-dev -B build
cmake --build build %{?_smp_mflags}

%install
DESTDIR="%{buildroot}" \
cmake --install build

desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--remove-category="Audio" \
	--remove-category="AudioVideo" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

	
%files
%{_bindir}
%{_datadir}


%changelog
* Wed Dec 28 2022 tex - 0.9.8-1pclos2023
- new version

* Tue Oct 04 2022 tex - 0.9.7-1pclos2022
- new version

* Sat Jan 15 2022 tex - 0.9.5-1pclos2022
- new version

* Tue Jul 06 2021 tex - 0.9.4-1pclos2021
- new version

* Wed May 12 2021 tex - 0.9.3-1pclos2021
- new version

* Wed Mar 17 2021 tex - 0.9.2-1pclos2021
- new version

* Mon Feb 08 2021 tex - 0.9.1-1pclos2021
- new version

* Sun Dec 20 2020 tex - 0.9.0-1pclos2021
- new version

* Sun Dec 22 2019 tex - 0.6.1-1pclos2019
- new version: 0.6.1
